Package: org.codehaus.groovy.antlr

## [Java] Class EnumHelper

- org.codehaus.groovy.antlr.EnumHelper

-     public class EnumHelper
      extends Object

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public static FieldNode` | `addEnumConstant(ClassNode enumClass, String name, Expression init)`
    `` | `public static ClassNode` | `makeEnumNode(String name, int modifiers, ClassNode[] interfaces, ClassNode outerClass)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### public static FieldNode addEnumConstant(ClassNode enumClass, String name, Expression init)

    - #### public static ClassNode makeEnumNode(String name, int modifiers, ClassNode[] interfaces, ClassNode outerClass)